/*
 * This file is part of flex.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * Neither the name of the University nor the names of its contributors
 * may be used to endorse or promote products derived from this software
 * without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.
 */

%%
{a,a}				{
						char *string = a;
					}
{b,b}*				{
						YYList *l = b;
						YYSingular** list = l->yysingulars;
						int length = l->length;
					}
{c,c}**				{
						YYPlane *p = c;
						YYList** list = p->yylists;
						int length = p->length;
					}
{d,d}***			{
						YYSpace *s = d;
						YYPlane** list = s->yyplanes;
						int length = s->length;
					}
{e,e}****			{
						YY4Dim *d4 = e;
						YYSpace** list = d4->yyspaces;
						int length = d4->length;
					}
{f,f}*****			{
						YY5Dim *d5 = f;
						YY4Dim** list = d5->yy4dims;
						int length = d5->length;
					}
{g,g}******			{
						YY6Dim *d6 = g;
						YY5Dim** list = d6->yy5dims;
						int length = d6->length;
					}
{h,h}*******		{
						YY7Dim *d7 = h;
						YY6Dim** list = d7->yy6dims;
						int length = d7->length;
					}
{i,i}********		{
						YY8Dim *d8 = i;
						YY7Dim** list = d8->yy7dims;
						int length = d8->length;
					}
{j,j}*********		{
						YY9Dim *d9 = j;
						YY8Dim** list = d9->yy8dims;
						int length = d9->length;
					}
{k,k}**********		{
						YY10Dim *d10 = k;
						YY9Dim** list = d10->yy9dims;
						int length = d10->length;
					}
%%
